' GOODBEAR.BAS
' This program is the corrected version of BADBEAR.BAS.

CLS

DIM bears$(5)                              ' dimension string array

PRINT "Enter the names of your five favorite bears."
PRINT

FOR i% = 1 TO 5                            ' get 5 strings
    INPUT "Bear:  ", bears$(i%)
NEXT i%

PRINT
PRINT "You entered the following bears:"
PRINT

FOR i% = 1 TO 5                            ' print 5 strings
     PRINT bears$(i%)
NEXT i%

